Skip to:
Content
Pages
Categories
Search
Top
Bottom

Potential Bug – Please evaluate for possible TRAC submission

  • Avatar of phreakmode
    phreakmode
    Participant

    @phreakmode

    1. Which version of WordPress are you running?
    WordPress 3.4.1

    2. Did you install WordPress as a directory or subdomain install?
    Directory

    3. If a directory install, is it in root or in a subdirectory?
    Subdirectory

    4. Did you upgrade from a previous version of WordPress? If so, from which version?
    No, clean install

    5. Was WordPress functioning properly before installing/upgrading BuddyPress (BP)? e.g.
    permalinks, creating a new post, commenting.
    Yes

    6. Which version of BP are you running?
    BP 1.6.1

    7. Did you upgraded from a previous version of BP? If so, from which version?
    No, clean install

    8. Do you have any plugins other than BuddyPress installed and activated? If so, which ones?
    Configure SMTP – working fine, no errors

    9. Are you using the standard BuddyPress themes or customized themes?
    Standard BP theme

    10. Have you modified the core files in any way?
    Have modified files according to:
    http://buddypress.trac.wordpress.org/ticket/4267
    https://buddypress.trac.wordpress.org/attachment/ticket/4267/4267.diff

    11. Do you have any custom functions in bp-custom.php?
    No

    12. If running bbPress, which version? Or did your BuddyPress install come with a copy of bbPress built-in?
    I have no idea, i did not add bbPress, so unless it is installed with BP 1.6.1, then no

    13. Please provide a list of any errors in your server’s log files.
    ( ! ) SCREAM: Error suppression ignored for
    ( ! ) Warning: Creating default object from empty value in C:wampwwwjustfriendswp-contentpluginsbuddypressbp-corebp-core-avatars.php on line 535

    Call Stack
    # Time Memory Function Location
    1 0.0002 253528 {main}( ) ..index.php:0
    2 0.0003 257088 require( ‘C:wampwwwjustfriendswp-blog-header.php’ ) ..index.php:17
    3 0.3314 26042720 require_once( ‘C:wampwwwjustfriendswp-includestemplate-loader.php’ ) ..wp-blog-header.php:16
    4 0.3314 26043176 do_action( ) ..template-loader.php:7
    5 0.3315 26045528 call_user_func_array ( ) ..plugin.php:403
    6 0.3315 26045560 bp_template_redirect( ) ..plugin.php:403
    7 0.3315 26045680 do_action( ) ..bp-core-actions.php:264
    8 0.3330 26057688 call_user_func_array ( ) ..plugin.php:403
    9 0.3330 26057720 bp_screens( ) ..plugin.php:403
    10 0.3330 26057832 do_action( ) ..bp-core-actions.php:189
    11 0.3331 26060376 call_user_func_array ( ) ..plugin.php:403
    12 0.3331 26060408 xprofile_screen_change_avatar( ) ..plugin.php:403
    13 0.3335 26062024 bp_core_avatar_handle_upload( ) ..bp-xprofile-screens.php:166

    14. Which company provides your hosting?
    Local hosting via WAMP, no other issues

    15. Is your server running Windows, or if Linux; Apache, nginx or something else?
    Wamp server on windows 7 (PHP 5.4.3, Apache 2.4.2, MySQL 5.5.24)

    This issue seems to be closely related to http://buddypress.trac.wordpress.org/ticket/4267
    Issue revolves around the fact that PHP 5.4 has enabled E_STRICT warnings by default.

    This error is encountered when a user is going through the process of changing their avatar

Viewing 2 replies - 1 through 2 (of 2 total)
Viewing 2 replies - 1 through 2 (of 2 total)

You must be logged in to reply to this topic.